Bug 1822229 - remove pam_console dependency in slim
Summary: remove pam_console dependency in slim
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: slim
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2166692
TreeView+ depends on / blocked
 
Reported: 2020-04-08 14:14 UTC by Iker Pedrosa
Modified: 2023-02-06 11:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-06 11:30:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Iker Pedrosa 2020-04-08 14:14:31 UTC
Description of problem: pam_console is mostly broken and needs to be deleted. This package has some dependencies with it that have to be removed beforehand. I have found that at least slim.pam depends on pam_console but please check for any other hidden dependency.

Comment 1 Ranjan Maitra 2020-04-10 02:27:36 UTC
(In reply to Iker Pedrosa from comment #0)
> Description of problem: pam_console is mostly broken and needs to be
> deleted. This package has some dependencies with it that have to be removed
> beforehand. I have found that at least slim.pam depends on pam_console but
> please check for any other hidden dependency.

Happy to look into this but may need help on this. I only maintain slim because I use it and do not want it to go away.

Comment 2 Iker Pedrosa 2020-04-14 10:43:37 UTC
I would recommend you to delete the following line in slim.pam file:
session    optional	pam_console.so

The purpose of that line is to configure and manage user sessions with pam_console. If it fails the configuration process can continue and the failure is recorded[1]. So, unless you see the recording of pam_console failures as something vital this is the easiest approach.

Links:
[1] https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/system-level_authentication_guide/pam_configuration_files

Comment 3 Ben Cotton 2020-08-11 13:17:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 4 Ben Cotton 2021-11-04 17:39:54 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora Admin user for bugzilla script actions 2022-01-19 00:28:53 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Ben Cotton 2022-02-08 21:10:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.


Note You need to log in before you can comment on or make changes to this bug.